<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_bgm"
    android:orientation="vertical"
    tools:context=".ui.MainActivity">

    <include
        android:id="@+id/inc"
        layout="@layout/layout_all_ui" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="30dp"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="0.4"
            android:orientation="vertical"
            android:paddingLeft="10dp"
            android:paddingRight="10dp">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginRight="8dp">

                <TextView
                    android:id="@+id/tvNoName"
                    android:layout_width="20dp"
                    android:layout_height="35dp"
                    android:background="@drawable/round_button_gb"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="9sp" />

                <TextView
                    android:id="@+id/subName"
                    android:layout_width="248dp"
                    android:layout_height="30dp"
                    android:layout_centerVertical="true"
                    android:layout_toRightOf="@+id/tvNoName"
                    android:background="@drawable/bg_hua_bei"
                    android:gravity="center_vertical"
                    android:padding="6dp"
                    android:textColor="@color/white" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:id="@+id/imgLeft"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10dp"
                    android:background="@mipmap/icon_sy_z" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/relView"
                    android:layout_width="match_parent"
                    android:layout_height="370dp"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_toLeftOf="@+id/imgRight"
                    android:layout_toRightOf="@+id/imgLeft"
                    android:orientation="horizontal"
                    tools:listitem="@layout/item_cabinet_view" />

                <ImageView
                    android:id="@+id/imgRight"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="10dp"
                    android:background="@mipmap/icon_sy_y" />

            </RelativeLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/test"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="技术支持：江苏忠江智能科技有限公司"
                    android:textColor="@color/white"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/versionName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:textColor="@color/white"
                    android:textSize="12sp"
                    tools:text="版本号：xxxxxxxxxx" />

            </LinearLayout>


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="0.32"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="15dp">

                <RelativeLayout
                    android:id="@+id/addChemicals"
                    android:layout_width="260dp"
                    android:layout_height="125dp"
                    android:background="@mipmap/img_bg_xz">

                    <ImageView
                        android:id="@+id/imgA"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="45dp"
                        android:background="@mipmap/icon_sy_xz" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="6dp"
                        android:layout_toRightOf="@+id/imgA"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="存储"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="New storage"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/reDis"
                    android:layout_width="260dp"
                    android:layout_height="125dp"
                    android:layout_marginLeft="10dp"
                    android:background="@mipmap/img_bg_fq">

                    <ImageView
                        android:id="@+id/imgC"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="45dp"
                        android:background="@mipmap/icon_sy_fq" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="6dp"
                        android:layout_toRightOf="@+id/imgC"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="废弃"
                            android:textColor="@color/white"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Discard"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/reSto"
                    android:layout_width="260dp"
                    android:layout_height="125dp"
                    android:layout_marginLeft="10dp"
                    android:background="@mipmap/img_bg_rk"
                    android:visibility="gone">

                    <ImageView
                        android:id="@+id/imgB"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="45dp"
                        android:background="@mipmap/icon_sy_rk" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="6dp"
                        android:layout_toRightOf="@+id/imgB"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="待入库"
                            android:textColor="@color/white"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Stock pending"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="15dp">

                <RelativeLayout
                    android:id="@+id/reInq"
                    android:layout_width="260dp"
                    android:layout_height="125dp"
                    android:background="@mipmap/img_bg_cx">

                    <ImageView
                        android:id="@+id/imgD"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="45dp"
                        android:background="@mipmap/icon_sy_cx" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="6dp"
                        android:layout_toRightOf="@+id/imgD"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="查询"
                            android:textColor="@color/white"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Inquire"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/reLedger"
                    android:layout_width="260dp"
                    android:layout_height="125dp"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:background="@mipmap/img_bg_xz">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_centerVertical="true"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:text="标签管理"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Label management"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>
                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="15dp">

                <RelativeLayout
                    android:id="@+id/reCla"
                    android:layout_width="260dp"
                    android:layout_height="125dp"
                    android:background="@mipmap/img_bg_gh_tw">

                    <ImageView
                        android:id="@+id/imgE"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="45dp"
                        android:background="@mipmap/icon_sy_ly" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="6dp"
                        android:layout_toRightOf="@+id/imgE"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="领用"
                            android:textColor="@color/white"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Claim"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/reRet"
                    android:layout_width="260dp"
                    android:layout_height="125dp"
                    android:layout_marginLeft="10dp"
                    android:background="@mipmap/img_bg_gh_two">

                    <ImageView
                        android:id="@+id/imgF"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="45dp"
                        android:background="@mipmap/icon_sy_gh" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="6dp"
                        android:layout_toRightOf="@+id/imgF"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="归还"
                            android:textColor="@color/white"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Return"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:orientation="horizontal"
                android:paddingLeft="14dp">

                <RelativeLayout
                    android:id="@+id/rlLedger"
                    android:layout_width="116dp"
                    android:layout_height="80dp"
                    android:layout_weight="1"
                    android:background="@mipmap/img_bg_dztz">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_centerVertical="true"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:text="电子台账"
                            android:textColor="@color/white"
                            android:textSize="12sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Use ledgers"
                            android:textColor="@color/white"
                            android:textSize="8sp"
                            android:textStyle="bold" />
                    </LinearLayout>
                </RelativeLayout>


                <RelativeLayout
                    android:id="@+id/rlWarning"
                    android:layout_width="116dp"
                    android:layout_height="80dp"
                    android:layout_weight="1"
                    android:background="@mipmap/img_bg_bjsj">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_centerVertical="true"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:gravity="center_vertical"
                            android:text="报警事件"
                            android:textColor="@color/white"
                            android:textSize="12sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Alarm events"
                            android:textColor="@color/white"
                            android:textSize="8sp" />
                    </LinearLayout>
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/rlDem"
                    android:layout_width="116dp"
                    android:layout_height="80dp"
                    android:layout_marginRight="55dp"
                    android:layout_weight="1"
                    android:background="@mipmap/img_bg_lcys">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_centerVertical="true"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:text="MSDS"
                            android:textColor="@color/white"
                            android:textSize="12sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:text="Material Safety Data Sheet"
                            android:textColor="@color/white"
                            android:textSize="8sp" />
                    </LinearLayout>
                </RelativeLayout>

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>
</LinearLayout>